Subject: Re: linux-next: Tree for May 12

From: Randy Dunlap <[email-masked]>
Date: Mon, 12 May 2008 18:30:18 -0700

Stephen Rothwell wrote:
> Hi Randy,
> 
> On Mon, 12 May 2008 08:22:05 -0700 Randy Dunlap <[email-masked]> wrote:
>> On Mon, 12 May 2008 15:04:18 +1000 Stephen Rothwell wrote:
>>
>>> News:  I am now providing patches relative to the latest tag in Linus'
>>> tree.  I propose to stop providing complete tar balls as they are so
>>> large and people will have recent versions of Linus's tree anyway (I
>>> assume).  The patches will be named "patch-<upstream tag>-<next tag>".
>> Oh well.  For the record, I don't mind using patches instead of
>> complete tarballs, but I would prefer that the patches be relative
>> to something like a daily -git snapshot so that using git is not
>> required at all.
> 
> They will be relative to a tag that Linus adds to his tree and those
> tagged trees are always available as tar balls.  i.e. yesterdays patches
> were relative to 2.6.26-rc1, today's (and until rc3 comes out) will be
> relative to 2.6.26-rc2. Or I could do them against the daily -git
> snapshots (or both).  Either way it would cut down on the amount of stuff
> I am distributing. Currently there is already about 6G of linux-next
> tarballs.

That sounds fine.  Relative to -rc's is good IMO (and for my scripts).

> I certainly don't want to make it harder for those who are doing such
> good job of testing. Does that make it clearer?

Yes.  Thanks.

-- 
~Randy